Bug 1628802 - Include DNF 3.5.1 in Fedora 29 Beta
Summary: Include DNF 3.5.1 in Fedora 29 Beta
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-09-14 03:37 UTC by Adam Williamson
Modified: 2018-09-20 22:35 UTC (History)
11 users (show)

Fixed In Version: dnf-3.5.1-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-20 22:35:29 UTC


Attachments (Terms of Use)

Description Adam Williamson 2018-09-14 03:37:53 UTC
Fedora 29 is currently frozen for Beta. In the frozen package set, we have dnf-3.2.0-2.fc29 and libdnf-0.17.0-2.fc29 . Upstream is now up to dnf-3.5.1-1.fc29 and libdnf-0.19.1-1.fc29 . In https://bugzilla.redhat.com/show_bug.cgi?id=1596540#c36 , dmach said:

"I'll also sync up with lorax and anaconda teams to get dnf-3.5.1 (currently in Rawhide) with all related packages built - it fixes many problems with modularity and is generally more stable than anything that's in F29 now."

so on that basis, I think it's reasonable to consider accepting the update into Beta as an FE, at least if we do it no later than I'd say Monday. It's a question of whether getting the improvements in 3.5 outweighs the danger of the change in dnf/libdnf itself, plus the changes in anaconda that come along (the changes to adapt to dnf 3.5 themselves, plus some other changes that come with the newer anaconda build).

I've edited the pending dnf update to include all (I hope) the necessary packages - when I started doing that I didn't actually realize how many other things needed to be updated, if I'd known, I would've left it to dmach / jmracek, sorry for that. But I put in dnf, libdnf, dnf-plugins-core, lorax and anaconda, and I think that's everything. I'll do a couple of test image builds with this update to make sure they work.

I'll CC folks who should have some say on this for their thoughts. dmach, it'd be great if you could give an opinion on whether you think it'd be a good idea to pull this into Beta and if so, why. Thanks!

Comment 1 Fedora Update System 2018-09-14 03:44:26 UTC
anaconda-29.24.3-1.fc29 dnf-3.5.1-1.fc29 dnf-plugins-core-3.0.3-1.fc29 libdnf-0.19.1-1.fc29 lorax-29.12-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f16a71bc92

Comment 2 Ben Cotton 2018-09-14 13:25:39 UTC
+1 from me. Given that modularity is one of the main features of F29, getting a version of dnf that "fixes many problems" with it seems like the right call. It might make the Beta a little rougher but should make GA better.

Comment 3 Stephen Gallagher 2018-09-14 13:40:18 UTC
+1, let's get this into the next RC as quickly as possible, please.

Comment 4 Kevin Fenzi 2018-09-14 19:16:21 UTC
+1 and yes, asap. It would be nice to have a RC to hammer on over the weekend instead of rushing to make one before next go/no-go.

Comment 5 Fedora Update System 2018-09-14 20:00:05 UTC
anaconda-29.24.3-1.fc29, dnf-3.5.1-1.fc29, dnf-plugins-core-3.0.3-1.fc29, libdnf-0.19.1-2.fc29, lorax-29.12-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f16a71bc92

Comment 6 Adam Williamson 2018-09-15 21:16:56 UTC
With the votes so far, setting accepted FE. We will pull this into the next RC compose, but not push it stable yet, at least not until we get go-ahead from dmach (as long as we don't push it stable, all is still reversible, RC composes can be thrown away).

Comment 7 Adam Williamson 2018-09-16 00:23:47 UTC
I am also gonna mark the previous anaconda+python-blivet update as 'fixing' this bug, as pbrobinson says we need the newer blivet if we pull in the newer anaconda, and we need the newer anaconda for dnf 3.5.

Comment 8 Fedora Update System 2018-09-16 00:24:44 UTC
anaconda-29.24.2-1.fc29 python-blivet-3.1.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-85853d46b5

Comment 9 Fedora Update System 2018-09-18 17:10:01 UTC
anaconda-29.24.3-1.fc29 dnf-3.5.1-1.fc29 dnf-plugins-core-3.0.3-1.fc29 libdnf-0.19.1-2.fc29 lorax-29.12-2.fc29 python-blivet-3.1.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f16a71bc92

Comment 10 Fedora Update System 2018-09-20 16:16:15 UTC
anaconda-29.24.3-1.fc29, dnf-3.5.1-1.fc29, dnf-plugins-core-3.0.3-1.fc29, libdnf-0.19.1-3.fc29, lorax-29.12-2.fc29, python-blivet-3.1.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f16a71bc92

Comment 11 Fedora Update System 2018-09-20 22:35:29 UTC
anaconda-29.24.3-1.fc29, dnf-3.5.1-1.fc29, dnf-plugins-core-3.0.3-1.fc29, libdnf-0.19.1-3.fc29, lorax-29.12-2.fc29, python-blivet-3.1.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.